# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define date	091218

Summary:	Open source real-time animation software
Name:		animata
Version:	004
Release:	alt1_9
License:	GPLv3
Group:		Graphics
URL:		http://animata.kibu.hu/
Source0:	http://animata.googlecode.com/files/%{name}_%{version}-%{date}.tar.gz
Patch0:		animata-004-mdv-fix-FL-include-path.patch
Patch1:		animata-fltk-1.3.patch
Patch2:		animata-fix-includes.patch
Patch3:		animata-004-fix-missing-include-Xlib.patch
Patch4:		animata-scons3.patch
BuildRequires:	scons
BuildRequires:	libfltk-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	xorg-xvfb xvfb-run
Source44: import.info

%description
Animata is an open source real-time animation software, designed to create
animations, interactive background projections for concerts, theatre and dance
performances.

%files  
%doc README AUTHORS CHANGES COPYING examples 
%{_bindir}/%{name}
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/%{name}.desktop

#------------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i -e "s/^LINKFLAGS =.*/LINKFLAGS = ''/" src/SConscript

%build


%{_bindir}/xvfb-run -a \
%scons -j4

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/
cp build/%{name} %{buildroot}%{_bindir}
cp data/animata_icon.png %{buildroot}%{_datadir}/icons/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Animata
Comment=Open source real-time animation software
Exec=%{name}
Icon=%{name}
StartupNotify=true
Type=Application
Categories=3DGraphics;Graphics;Viewer;
EOF


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 004-alt1_9
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 004-alt1_8
- new version

